# MAX_30102_RED_LED_blinken_ohne_Display.py
# zuletzt getestet am 13.03.2025: Rote LED blinkt

from machine import Pin, I2C
from time import sleep

print('RED LED beim MAX 30102 ein- und ausschalten')

i2c = I2C(1, scl=Pin(25), sda=Pin(26))
i2c_addr = 0x57 # 7-Bit-Adresse (OHNE R/W-Bit)

mode_addr = 0x09 # Mode-Configuration-Adresse (u. A. RED ONLY)
spo2_addr = 0x0A # SPO2-Adresse (u. A. PW)
LED1_addr = 0x0C # LED1-Register (Stromstärke für RED LED)

red_only = b'\x02'
puls_width_118_us = b'\x03'
current_3_mA = b'\x0F'
current_0_mA = b'\x00'

i2c.writeto_mem(i2c_addr, mode_addr, red_only) # RED ONLY  (unbedingt erforderlich, sonst bleiben LEDs aus!!!)
i2c.writeto_mem(i2c_addr, spo2_addr, puls_width_118_us) # Pulsweite 118 us (deutlich heller als bei 69 us)

print('Anhalten mit Strg-C')
print()

print('Stromstärke (Rohwert):')
pause = 1.5 # Dauer der einzelnen Phasen
while True:
    i2c.writeto_mem(i2c_addr, LED1_addr, current_3_mA)
    print('I = ', current_3_mA)
    sleep(pause)
    i2c.writeto_mem(i2c_addr, LED1_addr, current_0_mA)
    print('I = ', current_0_mA)
    sleep(pause)
    print()
    





