# I2C-Scanner mit Display
# Adressen OHNE R/W-Bit
# Ausgangsspannung bei den Pins im Zustand High: 3,3 V

from machine import Pin, SPI,I2C
import vga1_8x8 as font1
import st7789
from time import sleep

spi = SPI(1, baudrate=20000000, polarity=1, sck=Pin(18), mosi=Pin(19))
display = st7789.ST7789(spi, 135, 240,  reset=Pin(23, Pin.OUT), cs=Pin(5, Pin.OUT), dc=Pin(16, Pin.OUT), backlight=Pin(4, Pin.OUT), rotation=3)
# Landscape
display.init()
display.fill(0)  # loeschen; Bildschirm schwarz

display.text(font1, 'I2C-Bus scannen...', 10, 10)

i2c = I2C(1, scl=Pin(25), sda=Pin(26))  
devices = i2c.scan()  # liefert Liste mit I2C-Adressen (7 Bit, ohne R/W-Bit)

if len(devices) == 0:
  display.text(font1, 'Keine I2C-Geraete gefunden!', 10, 30)
else:
  display.text(font1, 'I2C-Geraete gefunden: ' + str(len(devices)), 10, 30)
  zeile = 50
  for adr in devices:
    display.text(font1, str(adr) + ' dec    ' + hex(adr) + ' hex ', 10, zeile)
    zeile = zeile + 10  # y-Koordinate der nächsten Zeile
